{{ define "main" }}

  {{ if (not (isset .Params "template_video")) | or (eq .Params.template_video "") }}
    <div class="gallery">
      {{ $featured_image := (replace .Params.featured_image "-001.jpg" "*" ) }}
      {{ $page := .Site.GetPage "/images" }}
      {{ $images := $page.Resources.Match $featured_image }}
      {{ range $images }}
        {{ $original := . }}
        {{ $resized := .Fit "600x600 q90" }}
    <div class="gallery-module">
    <div class="gallerylink">
        <a href="{{ $original.Permalink}}">
          <img src="{{ $resized.Permalink }}" alt="project: {{ .Title }}">
        </a>
    </div>
    </div>
    {{ end }}
    </div>

    <br>

    {{ with .Params.video_link }}
    <div class="bottom-text">
      <div style="position: relative; padding-bottom: 56.25%; height: 0; overflow: hidden;">
        <iframe src="https://player.vimeo.com/video/{{ . | safeHTMLAttr }}?dnt=1" style="position: absolute; top: 0; left: 0; width: 90%; height: 90%; border:0;" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
      </div>
    </div>
    {{ end }}


    <br>
    <div class="bottom-text">
      <h1>{{ .Title }}</h1>
      <h2>{{ .Params.year }}</h2> 
      <h2>{{ .Content }}</h2>
    </div>

  {{ else }}

    {{ with .Params.video_link }}
  <div class="vimeo-container">
    <div style="position: relative; padding-bottom: 56.25%; height: 0; overflow: hidden;">
      <iframe src="https://player.vimeo.com/video/{{ . | safeHTMLAttr }}?dnt=1" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%; border:0;" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
    </div>
  </div>
    {{ end }}

    <div class="vimeo-container">
      <h1>{{ .Title }}</h1>
      <h2>{{ .Params.year }}</h2>
      <h2>{{ .Content }}</h2>
    </div>
    
  {{ end }}
{{ end }}